Gecode::Int::BinPacking::ConflictGraph::Clique Class Reference

Clique information. More...

`#include <bin-packing.hh>`

## Public Member Functions

| Clique (Region &r, int m)
| Constructor for m nodes.
void | incl (int i, unsigned int w)
| Include node i with weight w.
void | excl (int i, unsigned int w)
| Exclude node i with weight w.

## Public Attributes

NodeSet | n
| Nodes in the clique.
unsigned int | c
| Cardinality of clique.
unsigned int | w
| Weight of clique.

## Detailed Description

Clique information.

Definition at line 268 of file bin-packing.hh.

## Constructor & Destructor Documentation

## Clique()

Gecode::Int::BinPacking::ConflictGraph::Clique::Clique | ( | Region & | r,
|  | int | m )

inline

Constructor for m nodes.

Definition at line 127 of file conflict-graph.hpp.

## Member Function Documentation

## incl()

void Gecode::Int::BinPacking::ConflictGraph::Clique::incl | ( | int | i,
|  | unsigned int | w )

inline

Include node i with weight w.

Definition at line 130 of file conflict-graph.hpp.

## excl()

void Gecode::Int::BinPacking::ConflictGraph::Clique::excl | ( | int | i,
|  | unsigned int | w )

inline

Exclude node i with weight w.

Definition at line 134 of file conflict-graph.hpp.

## Member Data Documentation

## n

NodeSet Gecode::Int::BinPacking::ConflictGraph::Clique::n

Nodes in the clique.

Definition at line 271 of file bin-packing.hh.

## c

unsigned int Gecode::Int::BinPacking::ConflictGraph::Clique::c

Cardinality of clique.

Definition at line 273 of file bin-packing.hh.

## w

unsigned int Gecode::Int::BinPacking::ConflictGraph::Clique::w

Weight of clique.

Definition at line 275 of file bin-packing.hh.

The documentation for this class was generated from the following files:

- gecode/int/bin-packing.hh
- gecode/int/bin-packing/conflict-graph.hpp